%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: /Users/rwjax/Dropbox (Personal)/EconAlyze/IOSnap/TechDocs/DavidKay/US 2021 National Use.xlsx
%    Worksheet: National Use
%
% Auto-generated by MATLAB on 01-Mar-2024 10:56:14

%% Set up the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 78);

% Specify sheet and range
opts.Sheet = "National Use";
opts.DataRange = "A2:BZ70";

% Specify column names and types
opts.VariableNames = ["Var1", "Var2", "Var3", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10", "Var11", "Var12", "Var13", "Var14", "Var15", "Var16", "Var17", "Var18", "Var19", "Var20", "Var21", "Var22", "Var23", "Var24", "Var25", "Var26", "Var27", "Var28", "Var29", "Var30", "Var31", "Var32", "Var33", "Var34", "Var35", "Var36", "Var37", "Var38", "Var39", "Var40", "Var41", "Var42", "Var43", "Var44", "Var45", "Var46", "Var47", "Var48", "Var49", "Var50", "Var51", "Var52", "Var53", "Var54", "Var55", "Var56", "Var57", "Var58", "Var59", "Var60", "Var61", "Var62", "Var63", "Var64", "Var65", "Var66", "Var67", "Var68", "PersonalConsumptionExpenditures", "PrivateFixedInvestment", "ChangeInPrivateInventories", "ExportsOfGoodsAndServices", "NationalDefenseConsumptionExpenditures", "NationalDefenseGrossInvestment", "NondefenseConsumptionExpenditures", "NondefenseGrossInvestment", "StateAndLocalGovernmentConsumptionExpenditures", "StateAndLocalGovernmentGrossInvestment"];
opts.SelectedVariableNames = ["PersonalConsumptionExpenditures", "PrivateFixedInvestment", "ChangeInPrivateInventories", "ExportsOfGoodsAndServices", "NationalDefenseConsumptionExpenditures", "NationalDefenseGrossInvestment", "NondefenseConsumptionExpenditures", "NondefenseGrossInvestment", "StateAndLocalGovernmentConsumptionExpenditures", "StateAndLocalGovernmentGrossInvestment"];
opts.VariableTypes = ["char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "char", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, ["Var1", "Var2", "Var3", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10", "Var11", "Var12", "Var13", "Var14", "Var15", "Var16", "Var17", "Var18", "Var19", "Var20", "Var21", "Var22", "Var23", "Var24", "Var25", "Var26", "Var27", "Var28", "Var29", "Var30", "Var31", "Var32", "Var33", "Var34", "Var35", "Var36", "Var37", "Var38", "Var39", "Var40", "Var41", "Var42", "Var43", "Var44", "Var45", "Var46", "Var47", "Var48", "Var49", "Var50", "Var51", "Var52", "Var53", "Var54", "Var55", "Var56", "Var57", "Var58", "Var59", "Var60", "Var61", "Var62", "Var63", "Var64", "Var65", "Var66", "Var67", "Var68"], "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["Var1", "Var2", "Var3", "Var4", "Var5", "Var6", "Var7", "Var8", "Var9", "Var10", "Var11", "Var12", "Var13", "Var14", "Var15", "Var16", "Var17", "Var18", "Var19", "Var20", "Var21", "Var22", "Var23", "Var24", "Var25", "Var26", "Var27", "Var28", "Var29", "Var30", "Var31", "Var32", "Var33", "Var34", "Var35", "Var36", "Var37", "Var38", "Var39", "Var40", "Var41", "Var42", "Var43", "Var44", "Var45", "Var46", "Var47", "Var48", "Var49", "Var50", "Var51", "Var52", "Var53", "Var54", "Var55", "Var56", "Var57", "Var58", "Var59", "Var60", "Var61", "Var62", "Var63", "Var64", "Var65", "Var66", "Var67", "Var68"], "EmptyFieldRule", "auto");

% Import the data
e = readtable("/Users/rwjax/Dropbox (Personal)/EconAlyze/IOSnap/TechDocs/DavidKay/US 2021 National Use.xlsx", opts, "UseExcel", false);

%% Convert to output type
e = table2array(e);

%% Clear temporary variables
clear opts