%% Import data from spreadsheet
% Script for importing data from the following spreadsheet:
%
%    Workbook: /Users/rwjax/Dropbox (Personal)/EconAlyze/IOSnap/TechDocs/DavidKay/US 2021 National Use.xlsx
%    Worksheet: National Use
%
% Auto-generated by MATLAB on 01-Mar-2024 11:41:24

%% Set up the Import Options and import the data
opts = spreadsheetImportOptions("NumVariables", 68);

% Specify sheet and range
opts.Sheet = "National Use";
opts.DataRange = "A2:BP70";

% Specify column names and types
opts.VariableNames = ["Var1", "Farms", "ForestryFishingAndRelatedActivities", "OilAndGasExtraction", "MiningExceptOilAndGas", "SupportActivitiesForMining", "Utilities", "Construction", "WoodProducts", "NonmetallicMineralProducts", "PrimaryMetals", "FabricatedMetalProducts", "Machinery", "ComputerAndElectronicProducts", "ElectricalEquipmentAppliancesAndComponents", "MotorVehiclesBodiesAndTrailersAndParts", "OtherTransportationEquipment", "FurnitureAndRelatedProducts", "MiscellaneousManufacturing", "FoodAndBeverageAndTobaccoProducts", "TextileMillsAndTextileProductMills", "ApparelAndLeatherAndAlliedProducts", "PaperProducts", "PrintingAndRelatedSupportActivities", "PetroleumAndCoalProducts", "ChemicalProducts", "PlasticsAndRubberProducts", "WholesaleTrade", "MotorVehicleAndPartsDealers", "FoodAndBeverageStores", "GeneralMerchandiseStores", "OtherRetail", "AirTransportation", "RailTransportation", "WaterTransportation", "TruckTransportation", "TransitAndGroundPassengerTransportation", "PipelineTransportation", "OtherTransportationAndSupportActivities", "WarehousingAndStorage", "PublishingIndustriesExceptInternetincludesSoftware", "MotionPictureAndSoundRecordingIndustries", "BroadcastingAndTelecommunications", "DataProcessingInternetPublishingAndOtherInformationServices", "FederalReserveBanksCreditIntermediationAndRelatedActivities", "SecuritiesCommodityContractsAndInvestments", "InsuranceCarriersAndRelatedActivities", "FundsTrustsAndOtherFinancialVehicles", "RealEstate", "RentalAndLeasingServicesAndLessorsOfIntangibleAssets", "LegalServices", "ComputerSystemsDesignAndRelatedServices", "MiscellaneousProfessionalScientificAndTechnicalServices", "ManagementOfCompaniesAndEnterprises", "AdministrativeAndSupportServices", "WasteManagementAndRemediationServices", "EducationalServices", "AmbulatoryHealthCareServices", "Hospitals", "NursingAndResidentialCareFacilities", "SocialAssistance", "PerformingArtsSpectatorSportsMuseumsAndRelatedActivities", "AmusementsGamblingAndRecreationIndustries", "Accommodation", "FoodServicesAndDrinkingPlaces", "OtherServicesExceptGovernment", "FederalGovernmentDefense", "TotalGovernmentNondefense"];
opts.SelectedVariableNames = ["Farms", "ForestryFishingAndRelatedActivities", "OilAndGasExtraction", "MiningExceptOilAndGas", "SupportActivitiesForMining", "Utilities", "Construction", "WoodProducts", "NonmetallicMineralProducts", "PrimaryMetals", "FabricatedMetalProducts", "Machinery", "ComputerAndElectronicProducts", "ElectricalEquipmentAppliancesAndComponents", "MotorVehiclesBodiesAndTrailersAndParts", "OtherTransportationEquipment", "FurnitureAndRelatedProducts", "MiscellaneousManufacturing", "FoodAndBeverageAndTobaccoProducts", "TextileMillsAndTextileProductMills", "ApparelAndLeatherAndAlliedProducts", "PaperProducts", "PrintingAndRelatedSupportActivities", "PetroleumAndCoalProducts", "ChemicalProducts", "PlasticsAndRubberProducts", "WholesaleTrade", "MotorVehicleAndPartsDealers", "FoodAndBeverageStores", "GeneralMerchandiseStores", "OtherRetail", "AirTransportation", "RailTransportation", "WaterTransportation", "TruckTransportation", "TransitAndGroundPassengerTransportation", "PipelineTransportation", "OtherTransportationAndSupportActivities", "WarehousingAndStorage", "PublishingIndustriesExceptInternetincludesSoftware", "MotionPictureAndSoundRecordingIndustries", "BroadcastingAndTelecommunications", "DataProcessingInternetPublishingAndOtherInformationServices", "FederalReserveBanksCreditIntermediationAndRelatedActivities", "SecuritiesCommodityContractsAndInvestments", "InsuranceCarriersAndRelatedActivities", "FundsTrustsAndOtherFinancialVehicles", "RealEstate", "RentalAndLeasingServicesAndLessorsOfIntangibleAssets", "LegalServices", "ComputerSystemsDesignAndRelatedServices", "MiscellaneousProfessionalScientificAndTechnicalServices", "ManagementOfCompaniesAndEnterprises", "AdministrativeAndSupportServices", "WasteManagementAndRemediationServices", "EducationalServices", "AmbulatoryHealthCareServices", "Hospitals", "NursingAndResidentialCareFacilities", "SocialAssistance", "PerformingArtsSpectatorSportsMuseumsAndRelatedActivities", "AmusementsGamblingAndRecreationIndustries", "Accommodation", "FoodServicesAndDrinkingPlaces", "OtherServicesExceptGovernment", "FederalGovernmentDefense", "TotalGovernmentNondefense"];
opts.VariableTypes = ["char", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double", "double"];

% Specify variable properties
opts = setvaropts(opts, "Var1", "WhitespaceRule", "preserve");
opts = setvaropts(opts, "Var1", "EmptyFieldRule", "auto");
opts = setvaropts(opts, ["Farms", "ForestryFishingAndRelatedActivities", "OilAndGasExtraction", "MiningExceptOilAndGas", "SupportActivitiesForMining", "Utilities", "Construction", "WoodProducts", "NonmetallicMineralProducts", "PrimaryMetals", "FabricatedMetalProducts", "Machinery", "ComputerAndElectronicProducts", "ElectricalEquipmentAppliancesAndComponents", "MotorVehiclesBodiesAndTrailersAndParts", "OtherTransportationEquipment", "FurnitureAndRelatedProducts", "MiscellaneousManufacturing", "FoodAndBeverageAndTobaccoProducts", "TextileMillsAndTextileProductMills", "ApparelAndLeatherAndAlliedProducts", "PaperProducts", "PrintingAndRelatedSupportActivities", "PetroleumAndCoalProducts", "ChemicalProducts", "PlasticsAndRubberProducts", "WholesaleTrade", "MotorVehicleAndPartsDealers", "FoodAndBeverageStores", "GeneralMerchandiseStores", "OtherRetail", "AirTransportation", "RailTransportation", "WaterTransportation", "TruckTransportation", "TransitAndGroundPassengerTransportation", "PipelineTransportation", "OtherTransportationAndSupportActivities", "WarehousingAndStorage", "PublishingIndustriesExceptInternetincludesSoftware", "MotionPictureAndSoundRecordingIndustries", "BroadcastingAndTelecommunications", "DataProcessingInternetPublishingAndOtherInformationServices", "FederalReserveBanksCreditIntermediationAndRelatedActivities", "SecuritiesCommodityContractsAndInvestments", "InsuranceCarriersAndRelatedActivities", "FundsTrustsAndOtherFinancialVehicles", "RealEstate", "RentalAndLeasingServicesAndLessorsOfIntangibleAssets", "LegalServices", "ComputerSystemsDesignAndRelatedServices", "MiscellaneousProfessionalScientificAndTechnicalServices", "ManagementOfCompaniesAndEnterprises", "AdministrativeAndSupportServices", "WasteManagementAndRemediationServices", "EducationalServices", "AmbulatoryHealthCareServices", "Hospitals", "NursingAndResidentialCareFacilities", "SocialAssistance", "PerformingArtsSpectatorSportsMuseumsAndRelatedActivities", "AmusementsGamblingAndRecreationIndustries", "Accommodation", "FoodServicesAndDrinkingPlaces", "OtherServicesExceptGovernment", "FederalGovernmentDefense", "TotalGovernmentNondefense"], "FillValue", 0);

% Import the data
Use = readtable("/Users/rwjax/Dropbox (Personal)/EconAlyze/IOSnap/TechDocs/DavidKay/US 2021 National Use.xlsx", opts, "UseExcel", false);

%% Convert to output type
Use = table2array(Use);

%% Clear temporary variables
clear opts